export interface PtWorkstationVO {
  /**
   * 工作站id
   */
  stationId: string | number;

  /**
   * 工伤站名称
   */
  stationName: string;

  /**
   * 工作站编号
   */
  stationNumb: number;

  /**
   * 工作站类型
   */
  stationType: string;

  /**
   * IP地址
   */
  ip: string;

  /**
   * MAC地址
   */
  mac: string;

  /**
   * 可用串口
   */
  usablePort: string;

  /**
   * 服务端口
   */
  commPort: number;

  /**
   * 计算机名称
   */
  computerName: string;

  /**
   * 最大充值金额
   */
  maxAmount: number;

  /**
   * 服务器端口
   */
  serverPort: number;

  /**
   * 是否在线
   */
  onLine: string;

  /**
   * 工作站说明
   */
  remark: string;

}

export interface PtWorkstationForm extends BaseEntity {
  /**
   * 工作站id
   */
  stationId?: string | number;

  /**
   * 工伤站名称
   */
  stationName?: string;

  /**
   * 工作站编号
   */
  stationNumb?: number;

  /**
   * 工作站类型
   */
  stationType?: string;

  /**
   * IP地址
   */
  ip?: string;

  /**
   * MAC地址
   */
  mac?: string;

  /**
   * 可用串口
   */
  usablePort?: string;

  /**
   * 服务端口
   */
  commPort?: number;

  /**
   * 计算机名称
   */
  computerName?: string;

  /**
   * 最大充值金额
   */
  maxAmount?: number;

  /**
   * 服务器端口
   */
  serverPort?: number;

  /**
   * 是否在线
   */
  onLine?: string;

  /**
   * 工作站说明
   */
  remark?: string;

}

export interface PtWorkstationQuery extends PageQuery {

  /**
   * 工伤站名称
   */
  stationName?: string;

  /**
   * 工作站类型
   */
  stationType?: string;

  /**
   * 是否在线
   */
  onLine?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



